Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Class MessageBrokerSubscriberValue

    java.lang.Object
      com.bea.wli.management.runtime.MessageBrokerSubscriberValue

All Implemented Interfaces:
  Serializable

    public class MessageBrokerSubscriberValue

extends Object
implements Serializable

Represents a subscriber for a channel

A workflow with a static and dynamic subscription will have two entries, one for each subscription

See Also:
  Serialized Form

Constructor Summary
`MessageBrokerSubscriberValue(String subscriptionRuleName, String subscriberUri, String channelName, String methodName, String controlName, String filterString)`

Method Summary
`String` | `getChannelName()` get channel name
`String` | `getControlName()` get the control name (may be null if this is a static subscription)
`String` | `getFilterString()` get the filter string (may be null if doesn't have a filter)
`String` | `getMethodName()` get method name
`String` | `getSubscriberUri()` get subscriber URI
`String` | `getSubscriptionRuleName()` get subscriber URI

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBrokerSubscriberValue

    public MessageBrokerSubscriberValue(String subscriptionRuleName,
                                        String subscriberUri,
                                        String channelName,
                                        String methodName,
                                        String controlName,
                                        String filterString)

Method Detail

### getSubscriptionRuleName

    public String getSubscriptionRuleName()

  get subscriber URI

  Returns:
    subscriber URI

### getSubscriberUri

    public String getSubscriberUri()

  get subscriber URI

  Returns:
    subscriber URI

### getChannelName

    public String getChannelName()

  get channel name

  Returns:
    channel name

### getMethodName

    public String getMethodName()

  get method name

  Returns:
    method name

### getControlName

    public String getControlName()

  get the control name (may be null if this is a static subscription)

  Returns:
    control name

### getFilterString

    public String getFilterString()

  get the filter string (may be null if doesn't have a filter)

  Returns:
    filter string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD